Bug 91812 - Kickstart woun't let to config software raid, if writed by hand anaconda makes error
Kickstart woun't let to config software raid, if writed by hand anaconda make...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-kickstart (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-28 11:18 EDT by Kaveh Mousavi Zamani
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-15 14:11:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaveh Mousavi Zamani 2003-05-28 11:18:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When I use kickstart to make a set of raids it make te first one no matter which
is first but from th esecond the window of Make Raid Device will not close on
pressing the OK button.
I added raid manually with to type of
--level=0

and
--level=RAID0

both end to anaconda fail

in the codes just the passwords are changed.
======================================
#Generated by Kickstart Configurator

#System  language
lang en_US
#Language modules to install
langsupport --default=en_US
#System keyboard
keyboard us
#System mouse
mouse --emulthree generic3ps/2
#Sytem timezone
timezone America/New_York
#Root password
rootpw --iscrypted xxxxxxxxxxxxxxxxxxxxxxxxxx
#Reboot after installation
reboot
#Install Red Hat Linux instead of upgrade
install
#Use CDROM installation media
cdrom
#System bootloader configuration
bootloader --location=mbr --md5pass=xxxxxxxxxxxxxxxxx
#Clear the Master Boot Record
zerombr yes
#Partition clearing information
clearpart --all --initlabel 
#Disk partitioning information
part  raid.01 --size 5000 --ondisk sda 
part  raid.03 --size 4000 --ondisk sda 
part  raid.05 --size 5000 --ondisk sda 
part  raid.07 --size 5000 --ondisk sda 
part  raid.09 --size 10000 --ondisk sda 
part  raid.11 --size 20000 --ondisk sda 
part  raid.02 --size 5000 --ondisk sdb 
part  raid.04 --size 4000 --ondisk sdb 
part  raid.06 --size 5000 --ondisk sdb 
part  raid.08 --size 5000 --ondisk sdb 
part  raid.10 --size 10000 --ondisk sdb 
part  raid.12 --size 20000 --ondisk sdb
part /boot --fstype ext3 --size 150 
part raid  --level=RAID1  --device=md0  --fstype swap raid.01 raid.02
part raid / --level=RAID0  --device=md1  --fstype ext3 raid.03 raid.04 
part raid /home --level=RAID1  --device=md2  --fstype ext3 raid.05 raid.06 
part raid /var --level=RAID1  --device=md3  --fstype ext3 raid.07 raid.08 
part raid /home/www --level=RAID0  --device=md4  --fstype ext3 raid.09 raid.10 
part raid /mnt/backup --level=RAID1  --device=md5  --fstype ext3 raid.11 raid.12 
#System authorization infomation
auth  --useshadow  --enablemd5 
#Network information
network --bootproto=static --ip=192.168.100.15 --netmask=255.255.255.0
--gateway=192.168.100.1 --nameserver=0.0.0.0 --device=eth0
#Firewall configuration
firewall --high --ssh 
#XWindows configuration information
xconfig --depth=8 --resolution=800x600 --defaultdesktop=GNOME
#Package install information
%packages --resolvedeps
@ X Window System
@ GNOME Desktop Environment
@ Server Configuration Tools
@ Web Server
@ Mail Server
@ DNS Name Server
@ SQL Database Server
@ Network Servers
@ Administration Tools
@ System Tools
%post
/usr/sbin/useradd xxxxx -k -p xxxxxxxxxxxxxxxx
==================================================



Version-Release number of selected component (if applicable):
redhat-config-kickstart-2.3.6-4.noarch

How reproducible:
Always

Steps to Reproduce:
1.Run kickstart
2.Try to make more than one software raid
3.If manually, run install it will fail very soon.
    

Actual Results:  anaconda fails

Expected Results:  Install the redhat

Additional info:
Comment 1 Brent Fox 2003-07-23 17:39:32 EDT
I think this report is about anaconda, not redhat-config-kickstart.  Changing
component to anaconda.
Comment 2 Michael Fulbright 2003-08-13 15:22:07 EDT
This kickstart has numerous errors in it.  If it is exactly as
redhat-config-kickstart created it then there are bugs in redhat-config-kickstart.

First - the lines starting with 'part raid ' are hosed. They should not have the
'raid' in them.

Second - the line:

part raid  --level=RAID1  --device=md0  --fstype swap raid.01 raid.02

should be:

part swap  --level=RAID1  --device=md0  --fstype swap raid.01 raid.02
Comment 3 Brent Fox 2003-09-15 14:11:55 EDT
The redhat-config-kickstart raid code should be fixed in
redhat-config-kickstart-2.3.18-1 in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.